#
# spec file for package python-txaio
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-txaio
Version:        23.1.1
Release:        1.9
Summary:        WebSocket and WAMP in Python for Twisted and asyncio
License:        MIT
URL:            https://github.com/crossbario/txaio
Source:         https://files.pythonhosted.org/packages/source/t/txaio/txaio-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module testsuite}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Recommends:     python-Twisted >= 20.3.0
Recommends:     python-zope.interface >= 5.2
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module Twisted >= 20.3.0}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module zope.interface >= 5.2}
# /SECTION
%python_subpackages

%description
WebSocket allows bidirectional real-time messaging on the Web and WAMP adds
asynchronous Remote Procedure Calls and Publish & Subscribe on top of WebSocket.

%prep
%setup -q -n txaio-%{version}
%autopatch -p1

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest -k 'not test_sdist'

%files %{python_files}
%license LICENSE
%{python_sitelib}/txaio
%{python_sitelib}/txaio-%{version}*-info

%changelog
* Mon Feb 20 2023 Steve Kowalik <steven.kowalik@suse.com>
- Update to 23.1.1:
  * fix: support for Python up to v3.11
* Sat Jun  4 2022 Dirk Müller <dmueller@suse.com>
- update to 22.2.1:
  * fix: cancel handling in python 3.8/3.9. (#175)
  * fix: gracefully fail if coroutine called with wrong args (#176)
  * fix: eliminate redundant dep. on mock (#170)
  * fix: doc note that twisted supports native coroutines (#172)
- remove-mock.patch: upstream
* Tue Mar  2 2021 Dirk Müller <dmueller@suse.com>
- update to 21.2.1:
  - fix: update minimum dependencies (here, and in other crossbar packages) in an
    attempt to tame the new pip dep resolver madness.
* Mon Jan 18 2021 Benjamin Greiner <code@bnavigator.de>
- update to 20.12.1
  * new: CI/CD migrated to GitHub Actions
  * new: support Python 3.9 (CI / testing added)
  * new: minimum Python version is now 3.6
- add remove-mock.patch gh#crossbario/txaio#169
* Mon Apr  6 2020 Marketa Calabkova <mcalabkova@suse.com>
- update to 20.4.1
  * always use the asyncio loop of the thread which conducts the API call
* Fri Mar 27 2020 Matej Cepl <mcepl@suse.com>
- Remove pytest4.patch as it is included upstream
- Switch off python2 builds.
* Wed Mar 25 2020 pgajdos@suse.com
- version update to 20.3.1
  - MISC: Remove python2 support
  - NEW: support import-time framework selection
* Wed Feb  5 2020 Ondřej Súkup <mimi.vx@gmail.com>
- update to 20.1.1
- drop pytest4.patch
  * new: moved time_ns and perf_counter_ns helper functions here
  * drop support for python 3.4 and older
* Fri Sep 13 2019 Tomáš Chvátal <tchvatal@suse.com>
- Add patch to build with newer pytest releases:
  * pytest4.patch
* Thu Sep  5 2019 Todd R <toddrme2178@gmail.com>
- Set pytest maximum version.
* Tue Mar 19 2019 John Vandenberg <jayvdb@gmail.com>
- Fix invocation of test suite, previously silently not running
- Add missing runtime dependencies
- Update to v18.8.1
  * add API to support cancellation; this means passing a 1-argument
    callable to ``create_future`` and ``txaio.cancel`` to actually
    cancel a future
  * support Python 3.7 (CI / testing added)
- from v18.7.1
  * move to calver
  * deprecate Python 3.3 support and CI testing
- from v2.10.0
  * the asyncio version of ``make_logger`` now deduces a proper
    namespace instead of using the root
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Fri Mar  2 2018 avvissu@yandex.by
- Initial package
